Bug 1068928 - Please update perl-Authen-SASL to support user callbacks
Summary: Please update perl-Authen-SASL to support user callbacks
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: perl-Authen-SASL
Version: 6.6
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: perl-maint-list
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-23 09:53 UTC by David Dick
Modified: 2015-10-15 16:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-15 16:46:34 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Dick 2014-02-23 09:53:27 UTC
Description of problem:
Net::SMTPS and Net::POP3S require Authen::SASL >= 2.15.  RHEL 6 only has
Authen::SASL 2.13.  Can you please push perl-Authen-SASL-2.16-1 to el6?

Version-Release number of selected component (if applicable):
2.13

Comment 2 David Dick 2014-02-23 09:57:09 UTC
Relevant sections from Changelog

Authen-SASL 2.16 -- Tue Sep  4 11:01:18 CDT 2012

  * SASL.pod: fix typo [Peter Marschall]
  * Perl.pm: avoid warning on "uninitialized value" [Peter Marschall]

Authen-SASL 2.15 -- Wed Jun 2 13:47:41 CDT 2010

  * Makes sure that user callbacks are called [Yann Kerherve]

Authen-SASL 2.1401 -- Mon Mar 29 14:22:54 CDT 2010

  * Add META.yml to release

Authen-SASL 2.14 -- Thu Mar 11 08:21:07 CST 2010

  * Documentation updates  [Yann Kerherve]
  * Added server API description [Yann Kerherve]
  * Bugfixes to LOGIN, PLAIN and DIGEST_MD5 [Yann Kerherve]
  * Added server support for LOGIN, PLAINaand DIGEST_MD5 [Yann Kerherve]
  * Compatiblity with Authen::SASL::XS [Yann Kerherve]

Comment 3 Petr Pisar 2014-02-24 11:25:08 UTC
This change in 2.15 is built on various changes in 2.14. It's not possible to pick the changes only as they're tangled with code refactoring.

I recommend to contact Red Hat support to evaluate your request properly.

Comment 6 Joe Orton 2015-10-15 16:46:34 UTC
This Bugzilla has been reviewed by Red Hat and is not planned on being addressed in Red Hat Enterprise Linux 6 and therefore will be closed. If this bug is critical to production systems, please contact your Red Hat support representative and provide sufficient business justification.


Note You need to log in before you can comment on or make changes to this bug.